pkgSrcRecords::Parser Class Referenceabstract
Inheritance diagram for pkgSrcRecords::Parser:
[legend]
Collaboration diagram for pkgSrcRecords::Parser:
[legend]

## Classes

struct | BuildDepRec

## Public Types

enum | BuildDep { BuildDepend =0x0 , BuildDependIndep =0x1 , BuildConflict =0x2 , BuildConflictIndep =0x3 , BuildDependArch =0x4 , BuildConflictArch =0x5 }

## Public Member Functions

const pkgIndexFile & | Index () const
virtual bool | Restart ()=0
virtual bool | Step ()=0
virtual bool | Jump (unsigned long const &Off)=0
virtual unsigned long | Offset ()=0
virtual std::string | AsStr ()=0
virtual std::string | Package () const =0
virtual std::string | Version () const =0
virtual std::string | Maintainer () const =0
virtual std::string | Section () const =0
virtual const char ** | Binaries ()=0
virtual bool | BuildDepends (std::vector< BuildDepRec > &BuildDeps, bool const &ArchOnly, bool const &StripMultiArch=true)=0
virtual bool | Files (std::vector< pkgSrcRecords::File > &F)=0
| Parser (const pkgIndexFile *Index)

## Static Public Member Functions

static const char * | BuildDepType (unsigned char const &Type) APT_PURE

## Protected Attributes

const pkgIndexFile * | iIndex

## Member Function Documentation

## BuildDepends()

virtual bool BuildDepends | ( | std::vector< BuildDepRec > & | BuildDeps,
|  | bool const & | ArchOnly,
|  | bool const & | StripMultiArch = true )

pure virtual

Todo
  Add a parameter to specify which architecture to use for [wildcard] matching

Implemented in debSrcRecordParser.

The documentation for this class was generated from the following files:

- apt-pkg/srcrecords.h
- apt-pkg/srcrecords.cc